<template>
	<view class="bg">
		<!-- <img class="toplogo" src="https://ikea-mrm.woaap.com/images/mask/toplogo.png" /> -->
		<view class="homebg"><img @click="gochoose" class="start" src="https://ikea-mrm.woaap.com/images/mask/start.png" /></view>
	</view>
</template>

<script>
export default {
	onShareAppMessage: function(res) {
		return {
			title: '微笑传递爱心 和宜家玩在一起',
			path: 'pages/index/index',
			imageUrl: 'https://ikea-mrm.woaap.com/images/share/share_mask.jpg'
		};
	},
	onShow() {
		getApp().td_app_sdk.event({
			id: 'mask-home',
			label: 'pv',
			params: {}
		});
	},
	methods: {
		gochoose() {
			getApp().td_app_sdk.event({
				id: '微笑立即开玩',
				label: 'click'
			});
			wx.navigateTo({
				url: '/pages/mask/choose'
			});
		}
	},
	onHide() {
		console.log('111');
	}
};
</script>

<style lang="less">
.bg {
	width: 100vw;
	height: 100vh;
	overflow: hidden;
	position: relative;
	.toplogo {
		position: absolute;
		top: 180rpx;
		width: 683rpx;
		height: 87rpx;
		left: 50%;
		transform: translate(-50%, 0);
		z-index: 9;
	}
	.homebg {
		width: 750rpx;
		height: 1624rpx;
		background: url(https://ikea-mrm.woaap.com/images/mask/homebg.png);
		background-size: 100% 100%;
		position: absolute;
		top: 50%;
		transform: translate(0, -50%);
		.start {
			width: 347rpx;
			height: 144rpx;
			position: absolute;
			top: 1290rpx;
			left: 50%;
			transform: translate(-50%, 0);
		}
	}
}
</style>
